<%@ Page Language="C#" %>
<%@ Import Namespace="CuteChat" %>
<script runat=server>
protected override void OnInit(EventArgs args)
{
    base.OnInit(args);

    int forumid = int.Parse(Request.QueryString["ForumId"]);
    CommunityServer.Discussions.Components.Forum forum = CommunityServer.Discussions.Components.Forum.Get(forumid);
       if (forum == null)
    {
        throw (new Exception("Not Found"));
    }

    string inkey = "Forum:" + forumid;

    foreach (IChatLobby eachlobby in ChatApi.GetLobbyArray())
    {
        if (eachlobby.Integration == inkey)
        {
            Response.Redirect("~/CuteSoft_Client/CuteChat/Channel.Aspx?Place=Lobby-" + eachlobby.LobbyId);
            Response.End();
            return;
        }
    }

    IChatLobby lobby = ChatApi.CreateLobbyInstance();
    lobby.Title = forum.Name;
    lobby.Integration = inkey;
    ChatApi.CreateLobby(lobby);

    Response.Redirect("~/CuteSoft_Client/CuteChat/Channel.Aspx?Place=Lobby-" + lobby.LobbyId);
    Response.End();
}
</script>
