<%@ Page EnableViewState="false" Language="C#" AutoEventWireup="true" Inherits="CommunityServer.Controls.CSThemePage" MasterPageFile="Themes/generic/Common/master.Master" %>
<%@ Import Namespace="CommunityServer.Components" %>
<%@ Import Namespace="CuteChat" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Data" %>

<asp:Content ID="Content1" ContentPlaceHolderID="content" runat="server">

	<div align=center>
		<div class="CommonMessageArea">
			
				<table cellspacing="1" cellpadding="5" border="0" style="width: 600px;background-color: #cccccc;" align="center">
					<tr>
						<td  align="left" style="background-color: #eeeeee;color: #444444;font-weight: bold;height:23px;padding-left:30px"  height="30">
							Chat
						</td>
					</tr>
					<tr>
						<td valign=top style="background-color: #ffffff;padding:15px;">						
							<table cellspacing="1" border="0" cellpadding="5" width="100%">
								<tr>
									<td>
										<ASP:DataList id="DataList_Lobbies" CellSpacing="3" Width="100%" RepeatColumns="2" runat="server">
											<ItemTemplate>
												<asp:HyperLink ID="lnkLobby" Runat="server">
													<nobr><asp:Image ImageUrl="~/CuteSoft_client/CuteChat/Images/50-home.gif" Align="middle" runat="server" id="Image1" />
													<%#DataBinder.Eval(Container.DataItem, "Name")%></nobr>
												</asp:HyperLink>
												<br>
												(
												<asp:Label ID="lblOnlineChater" Runat="server"></asp:Label>
												chatting)
											</ItemTemplate>
										</ASP:DataList>
									</td>
									<td>
										<asp:Image ImageUrl="~/CuteSoft_client/CuteChat/Images/cutechat_picture.jpg" Width="150" runat="server" id="Image2"  />
									</td>
								</tr>
							</table>	
						</td>
					</tr>
				</table>
		</div>
	</div>

</asp:Content>

  <script runat="server">		
		
		private void Page_Load(object sender, System.EventArgs e)
		{
			if (! this.IsPostBack)
			{
				ArrayList lobbies=new ArrayList();
				foreach(LobbyInfo lobby in ChatApi.GetLobbyInfoArray())
				{
					if(lobby.Lobby.Integration=="")
						lobbies.Add(lobby);
				}
				this.DataList_Lobbies.DataSource = lobbies;
				this.DataList_Lobbies.ItemDataBound+=new DataListItemEventHandler(rptLobbies_ItemDataBound);
				this.DataList_Lobbies.DataBind();
			}			
		}

		
		private void rptLobbies_ItemDataBound(object sender, DataListItemEventArgs e)
		{
			if (e.Item.DataItem == null)
			{
				return;
			}

			LobbyInfo lobby = (LobbyInfo)e.Item.DataItem;

					
			HyperLink lnkLobby = e.Item.FindControl("lnkLobby") as HyperLink;
			lnkLobby.NavigateUrl = CuteChat.ChatWebUtility.ResolveResource(this.Context, "Channel.Aspx") + "?Place=Lobby-" + lobby.Lobby.LobbyId;
			lnkLobby.Target = "_blank";

			String sOnlineChater = lobby.JoinClient(",");

			Label lblOnlineChater = e.Item.FindControl("lblOnlineChater") as Label;
			lblOnlineChater.Text = lobby.ClientCount.ToString();
			lnkLobby.ToolTip = sOnlineChater;
		}

		</script>